package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "attachment")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aAttachment {

	@XmlElement(name = "code")
	private String code;

	@XmlElement(name = "roleId")
	private String roleId;

	@XmlElement(name = "roleName")
	private Ad74aRoleName roleName;

	@XmlElement(name = "sourceName")
	private String sourceName;

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getRoleId() {
		return this.roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public Ad74aRoleName getRoleName() {
		return this.roleName;
	}

	public void setRoleName(Ad74aRoleName roleName) {
		this.roleName = roleName;
	}

	public String getSourceName() {
		return this.sourceName;
	}

	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

}
